/*---------------------------------------------------------------------------------

 Theme Name:   Qahwa
 Theme URI:    https://qahwa.tadsheen.online/
 Description:  A Coffee Store child theme of Divi created by Creative Solutions.
 Author:       Creative Solutions
 Author URI:   https://csoman.net/
 Template:     Divi
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html

------------------------------ ADDITIONAL CSS HERE ------------------------------*/

/*SHOPPING CART ICON*/
.shopping-cart-li {
position:relative;
top:0px;
}

.shopping-cart-li a {
background: #f51c1c;
}

.cart-contents {
position: relative;
}

.cart-contents {
background: url("https://qahwa.tadsheen.online/wp-content/uploads/2023/01/bag.webp");
 content: '';
 display: inline-block;
height: 26px!important;
    width: 26px!important;
    background-size: 26px 26px!important;
    background-repeat: no-repeat!important;
	margin-right:10px;
    
}

.span.woocommerce-Price-amount.amount { 
	font-family: inherit;
	font-weight:600px!important;
}
.cart-contents:hover {
text-decoration: none;
}

.cart-contents-count{
   width: 22px;
    height: 22px;
    font-size: 12px;
    line-height: 22px;
    position: absolute;
    border-radius: 12px;
    display: block;
    top: -30px;
    left: 18px!IMPORTANT;
    bottom: 0;
    margin: auto;
    text-align: center;
    box-shadow: 1px 1px 3px 0 rgb(0 0 0 / 15%);
    color: #000!important;
    background-color: #fff!important;
}

span.get_cart_total\(\) {
    vertical-align: 5px;
}

/*To Style the Add to Cart button in the Shop Module*/
.et_pb_shop a.button.add_to_cart_button, .et_pb_shop a.button.product_type_simple, .et_pb_shop a.button.product_type_grouped, .et_pb_shop a.button.product_type_external{
    background-image: linear-gradient(151deg,#1d211d 38%,#1d211d 100%);
    padding: 6px 15px;
    color: #fff !IMPORTANT;
    border-radius: 2px;
    box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.2);
	transition:.2s ease;
    font-weight: bold;
    font-size: 12px;

	

}

/*This will remove the Hover Icon from Shop Module Add to Cart buttons*/
.woocommerce a.button.add_to_cart_button:after, a.button.product_type_simple:after, a.button.product_type_grouped:after, a.button.product_type_external:after{
	display:none;
}

/*Hover Styling for the Shop Module Add to Cart button*/
.et_pb_shop a.button.add_to_cart_button:hover, .et_pb_shop a.button.product_type_simple:hover, .et_pb_shop a.button.product_type_grouped:hover, .et_pb_shop a.button.product_type_external:hover{
	box-shadow: 0px 5px 20px 0px rgba(0,0,0,0.3);
	transform:translate(0%,-7%)
		
}

/*This will add hover effect to Shop Module Product Cart*/
.et_pb_shop li.product:hover{
	transform:scale(1.05);
	box-shadow:0px 10px 40px #eee;
}
/*To add transition to the hover effect*/
.et_pb_shop li.product{
    transition:.2s ease;
	padding:15px !important;
	border-radius:7px;
}
/*This will hide the Wishlist Icon in Normal state*/
.et_pb_shop .tinvwl-icon-heart{
	opacity:0;
}
/*This will add an animation delay for heart icon*/
.et_pb_shop li.product:hover .tinvwl-icon-heart{
	animation-delay:100ms !important
}

.et_pb_shop li.product a.button.add_to_cart_button{
	visibility:hidden !Important;
}

.et_pb_shop li.product:hover a.button.add_to_cart_button{
	visibility:visible !Important;
}

/*The Fade in Bottom Animation for  "Wishlist" Icon*/
.et_pb_shop li.product:hover a.button.add_to_cart_button{
	opacity:1;
	-webkit-animation: fade-in-bottom 0.3s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
	        animation: fade-in-bottom 0.3s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
}

/*Keyframes for the Fade In Bottom Animation*/

@-webkit-keyframes fade-in-bottom {
  0% {
    -webkit-transform: translateY(10px);
            transform: translateY(10px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
    opacity: 1;
  }
}
@keyframes fade-in-bottom {
  0% {
    -webkit-transform: translateY(10px);
            transform: translateY(10px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
    opacity: 1;
  }
}

.et_pb_shop .et_overlay{
	display:none;
}


.preloader {
   position: fixed;
   top: 0;
   left: 0;
   right: 0;
   bottom: 0;
   background-color: #fefefe;
   z-index: 100000;
   height: 100%;
   width: 100%;
   overflow: hidden !important;
}
.preloader .status {
   width: 100px;
   height: 100px;
   position: absolute;
   left: 50%;
   top: 50%;
   background-image: url(https://qahwa.tadsheen.online/wp-content/uploads/2023/01/Spinner-0.6s-204px-1.gif);
   background-repeat: no-repeat;
   background-position: center;
   -webkit-background-size: cover;
   background-size: cover;
   margin: -50px 0 0 -50px;
}

/*styling for all the Buttons*/

.woocommerce a.button,.woocommerce .cart .button, .woocommerce .cart input.button, .woocommerce-page #payment #place_order, .woocommerce-form-login .woocommerce-form-login__submit, .checkout_coupon button, .woocommerce-form-register__submit, a.button.view, a.woocommerce-MyAccount-downloads-file.button,.tinvwl_added_to_wishlist.tinv-modal button.button,.woocommerce button.button,.woocommerce #review_form #respond .form-submit input{
	background-image: linear-gradient(151deg,#1d211d 38%,#1d211d 100%)!important;
    color: #fff !important;
    padding: 8px 20px !important;
    border-radius: 0px!important;
    transition: .2s ease !important;
    font-size: 12px!important;
    font-weight: 500!important;
		border-width:0px!important;

}
/*Hover styling for all the Buttons*/
.woocommerce .cart .button:hover, .woocommerce .cart input.button:hover, a.button.checkout-button:hover, .woocommerce-page #payment #place_order:hover,  .woocommerce-form-login .woocommerce-form-login__submit:hover, .checkout_coupon button:hover, .woocommerce-form-register__submit:hover, a.button.view:hover, a.woocommerce-MyAccount-downloads-file.button:hover, .tinvwl_added_to_wishlist.tinv-modal button.button:hover,.woocommerce a.button:hover,.woocommerce #review_form #respond .form-submit input:hover{
	background-image: linear-gradient(151deg,#1d211d 0%,#1d211d 100%);
    padding: 8px 20px;
    box-shadow: 0px 5px 20px 0px rgba(0,0,0,0.2);
	transform:translate(0%,-5%);
}

/*To remove the hover icon on all buttons*/
.woocommerce .cart .button:after, .woocommerce .cart input.button:after, a.button.checkout-button:after, .woocommerce-page #payment #place_order:after, .woocommerce-form-login .woocommerce-form-login__submit:after, .checkout_coupon button:after, a.button.view:after, a.woocommerce-MyAccount-downloads-file.button:after,.tinvwl_added_to_wishlist.tinv-modal button.button:after,.woocommerce button.button:after,a.button.wc-backward:after{
    display:none !important;
}


.woocommerce .quantity input.qty, .woocommerce-cart table.cart td.actions .coupon .input-text {
	border-radius: 6px 6px 6px 6px;
    overflow: hidden;
    border-width: 1px!important;
	border-radius:6px;
	background-color:white;
	padding:7px;
}

.wpf_slider.ui-slider .ui-widget-header{
	background:#C7A17A!important;
}

@media only screen and (max-width: 980px){
  .et_pb_row_0_tb_header{
    display:flex;
    flex-direction:row-reverse;
  }
}
  

.woocommerce a.added_to_cart.wc-forward {
    display: none!important;
}


.cartpops-cart--items-indicator-bubble .cartpops-cart__toggle .cartpops-cart__container-counter {
    border-radius: 64px;
    font-size: 12px;
    font-weight: 500;
    height: 22px;
    line-height: 22px;
    right: -24px;
    top: -30px;
    width: 22px;
}

.cartpops-cart__toggle .cartpops-cart__container {
	padding:0px 5px!important;
}

.cartpops-cart__toggle .cartpops-cart__container-icon i.my-custom-icon {
  background: url("https://qahwa.tadsheen.online/wp-content/uploads/2023/01/bag.webp");
  height: 25px;
  width: 25px;
  display: block;
  background-size: contain;
}

.cartpops-cart__toggle .cartpops-cart__container-text{
	font-weight:600;
}


@media only screen and (max-width: 767px){
  #cpops-floating-cart{
	bottom:85px!important;
}
}


  .et_pb_menu .et_mobile_menu .menu-item-has-children > a,
#main-header .et_mobile_menu .menu-item-has-children > a {
    background-color: transparent;
    position: relative;
}

.et_pb_menu .et_mobile_menu .menu-item-has-children > a:after, #main-header .et_mobile_menu .menu-item-has-children > a:after {
    font-family: 'ETmodules';
    text-align: center;
    speak: none;
    font-weight: 600;
    font-variant: normal;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    position: absolute;
    font-size: 18px;
    content: '\4c';
    top: 11px;
    right: 13px;
}

.et_pb_menu .et_mobile_menu .menu-item-has-children.visible > a:after,
#main-header .et_mobile_menu .menu-item-has-children.visible > a:after {
    content: '\4d';
}

.et_pb_menu .et_mobile_menu ul.sub-menu,
#main-header .et_mobile_menu ul.sub-menu,
.et-db #et-boc .et-l .et_pb_menu .et_mobile_menu li ul.sub-menu {
    visibility: hidden !important;
    max-height: 0;
    overflow: hidden;
    transition: all 0.7s ease-in-out;
}

.et_pb_menu .et_mobile_menu li.visible > ul.sub-menu,
#main-header .et_mobile_menu li.visible > ul.sub-menu,
.et-db #et-boc .et-l #main-header .et_mobile_menu li.visible > ul.sub-menu,
.et-db #et-boc .et-l .et_pb_fullwidth_menu .et_mobile_menu li.visible > ul.sub-menu,
.et-db #et-boc .et-l .et_pb_menu .et_mobile_menu li.visible > ul.sub-menu {
    visibility: visible !important;
	max-height: 500px;
}